Bug 823060 - Review Request: php-symfony2-Routing - Symfony2 Routing Component
Summary: Review Request: php-symfony2-Routing - Symfony2 Routing Component
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: php-channel-symfony2 817303 823042
Blocks: 823075
TreeView+ depends on / blocked
 
Reported: 2012-05-18 21:43 UTC by Shawn Iwinski
Modified: 2012-07-19 22:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-12 18:56:12 UTC
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
php-symfony2-Routing-review.txt (5.87 KB, text/plain)
2012-06-24 06:43 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2012-05-18 21:43:13 UTC
Spec URL:
http://people.redhat.com/siwinski/rpmbuild/SPECS/php-symfony2-Routing.spec

SRPM URL:
http://people.redhat.com/siwinski/rpmbuild/SRPMS/php-symfony2-Routing-2.0.14-1.fc16.src.rpm

Description:
The Routing Component maps an HTTP request to a set of configuration variables.

Comment 1 Shawn Iwinski 2012-05-20 18:04:44 UTC
Updates per comments in bug 823043

- Removed BuildRoot
- Changed php require to php-common
- Added the following requires based on phpci results:
  php-libxml, php-pcre, php-spl, php-tokenizer
- Removed %defattr from %files section

SPEC URL:
http://people.redhat.com/siwinski/rpmbuild/SPECS/php-symfony2-Routing.spec

SRPM URL:
http://people.redhat.com/siwinski/rpmbuild/SRPMS/php-symfony2-Routing-2.0.14-2.fc16.src.rpm

Comment 3 Shawn Iwinski 2012-05-31 17:32:29 UTC
Updated to upstream version 2.0.15 & updates per bug #817303

- Removed "BuildRequires: php-pear >= 1:1.4.9-1.2"
- Updated %prep section
- Removed cleaning buildroot from %install section
- Removed documentation move from %install section (fixed upstream)
- Removed %clean section
- Updated %doc in %files section

SPEC URL: http://people.redhat.com/siwinski/rpmbuild/SPECS/php-symfony2-Routing.spec

SRPM URL: http://people.redhat.com/siwinski/rpmbuild/SRPMS/php-symfony2-Routing-2.0.15-1.fc16.src.rpm

Comment 4 Shawn Iwinski 2012-06-10 23:51:39 UTC
Issue: XSD file installed as doc, but referenced by code.

-- XSD file --
Symfony/Component/Routing/Loader/schema/routing/routing-1.0.xsd

-- Code --
    protected function validate(\DOMDocument $dom)
    {
        $location = __DIR__.'/schema/routing/routing-1.0.xsd';

        $current = libxml_use_internal_errors(true);
        if (!$dom->schemaValidate($location)) {
            throw new \InvalidArgumentException(implode("\n", $this->getXmlErrors()));
        }
        libxml_use_internal_errors($current);
    }



See original finding of this issue at https://bugzilla.redhat.com/show_bug.cgi?id=823046#c8

Comment 5 Shawn Iwinski 2012-06-10 23:54:01 UTC
(In reply to comment #4)
> -- Code --
from Routing/Loader/XmlFileLoader.php

Comment 6 Shawn Iwinski 2012-06-13 06:03:22 UTC
Added optional requires

- Added php-pear(%{pear_channel}/Config) require
- Added php-pear(%{pear_channel}/Yaml) require
- Removed ownership for directories already owned by required packages

Update per comment #4

- Fix package.xml for *.xsd file issue

SPEC URL: http://people.redhat.com/~siwinski/rpmbuild/SPECS/php-symfony2-Routing.spec

SRPM URL: http://people.redhat.com/~siwinski/rpmbuild/SRPMS/php-symfony2-Routing-2.0.15-3.fc17.src.rpm

Comment 7 Remi Collet 2012-06-24 06:43:34 UTC
Created attachment 593975 [details]
php-symfony2-Routing-review.txt

Generated by fedora-review 0.1.3

Comment 8 Remi Collet 2012-06-24 06:44:04 UTC
No issue detected.

== APPROVED ==

Comment 9 Shawn Iwinski 2012-06-25 03:12:31 UTC
New Package SCM Request
=======================
Package Name: php-symfony2-Routing
Short Description: Symfony2 Routing Component
Owners: siwinski
Branches: f16 f17 el6
InitialCC:

Comment 10 Remi Collet 2012-06-25 18:33:59 UTC
Sorry, but I have miss that one

/usr/share/pear/Symfony/Component/Routing/Loader/AnnotationClassLoader.php
use Doctrine\Common\Annotations\Reader

So you probably need php-doctrine-DoctrineCommon (not yet packaged).

So please
1/ assure this is an optionnal dep
2/ consider submitting a review for this package.

Comment 11 Gwyn Ciesla 2012-06-26 14:39:49 UTC
Git done (by process-git-requests).

Comment 12 Shawn Iwinski 2012-06-30 05:03:36 UTC
(In reply to comment #10)
> Sorry, but I have miss that one
> 
> /usr/share/pear/Symfony/Component/Routing/Loader/AnnotationClassLoader.php
> use Doctrine\Common\Annotations\Reader
> 
> So you probably need php-doctrine-DoctrineCommon (not yet packaged).
> 
> So please
> 1/ assure this is an optionnal dep
> 2/ consider submitting a review for this package.

Same response as https://bugzilla.redhat.com/show_bug.cgi?id=823075#c6

Comment 13 Fedora Update System 2012-07-02 20:10:49 UTC
php-symfony2-Routing-2.0.15-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-symfony2-Routing-2.0.15-3.fc17

Comment 14 Fedora Update System 2012-07-02 20:10:58 UTC
php-symfony2-Routing-2.0.15-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/php-symfony2-Routing-2.0.15-3.fc16

Comment 15 Fedora Update System 2012-07-02 20:11:07 UTC
php-symfony2-Routing-2.0.15-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-symfony2-Routing-2.0.15-3.el6

Comment 16 Fedora Update System 2012-07-03 15:48:05 UTC
php-symfony2-Routing-2.0.15-3.fc16 has been pushed to the Fedora 16 testing repository.

Comment 17 Fedora Update System 2012-07-12 18:56:12 UTC
php-symfony2-Routing-2.0.15-3.fc16 has been pushed to the Fedora 16 stable repository.

Comment 18 Fedora Update System 2012-07-12 19:01:18 UTC
php-symfony2-Routing-2.0.15-3.fc17 has been pushed to the Fedora 17 stable repository.

Comment 19 Fedora Update System 2012-07-19 22:35:47 UTC
php-symfony2-Routing-2.0.15-3.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.